%define upstream_name	 DBIx-SearchBuilder
%define upstream_version 1.68

%global __requires_exclude perl\\(DBD::Oracle\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Database-independent schema objects
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Encapsulate SQL queries and rows in simple perl object
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::Simple::TimedExpiry) >= 0.210.0
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::ReturnValue) >= 0.400.0
BuildRequires: perl(Clone)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::DBSchema)
BuildRequires: perl(Encode) >= 1.990.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.520.0
BuildRequires: perl(Want)
BuildRequires: perl(capitalization) >= 0.30.0
BuildArch:  noarch

%description
This module provides an object-oriented mechanism for retrieving and updating
data in a DBI-accesible database.

In order to use this module, you should create a subclass of
DBIx::SearchBuilder and a subclass of DBIx::SearchBuilder::Record for each
table that you wish to access. (See the documentation of
DBIx::SearchBuilder::Record for more information on subclassing it.)

Your DBIx::SearchBuilder subclass must override NewItem, and probably should
override at least _Init also; at the very least, _Init should probably call
_Handle and _Table to set the database handle (a DBIx::SearchBuilder::Handle
object) and table name for the class. You can try to override just about
every other method here, as long as you think you know what you are doing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -name \*.pm | xargs chmod 644

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README ROADMAP SIGNATURE ex
%{perl_vendorlib}/DBIx
%{_mandir}/*/*

%changelog
* Tue Jul 07 2020 tv <tv> 1.680.0-1.mga8
+ Revision: 1602758
- update to 1.68

* Wed Feb 12 2020 umeabot <umeabot> 1.670.0-4.mga8
+ Revision: 1503678
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.670.0-3.mga7
+ Revision: 1282611
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.670.0-2.mga7
+ Revision: 1164016
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 1.670.0-1.mga7
+ Revision: 1141587
- update to 1.67

* Sun Jun 19 2016 pterjan <pterjan> 1.650.0-6.mga6
+ Revision: 1025477
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.650.0-5.mga6
+ Revision: 936594
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.650.0-4.mga5
+ Revision: 739453
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.650.0-3.mga5
+ Revision: 684143
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 1.650.0-2.mga4
+ Revision: 529488
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 1.650.0-1.mga4
+ Revision: 451976
- update to 1.65

* Sun Jan 13 2013 umeabot <umeabot> 1.630.0-2.mga3
+ Revision: 365172
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.630.0-1.mga3
+ Revision: 294945
- update to 1.63

* Tue Jun 05 2012 jquelin <jquelin> 1.620.0-1.mga3
+ Revision: 254787
- update to 1.62

* Fri Oct 14 2011 jquelin <jquelin> 1.610.0-1.mga2
+ Revision: 154723
- update to 1.61

* Sat Jan 22 2011 jquelin <jquelin> 1.590.0-1.mga1
+ Revision: 32743
- mageia rebuild
- imported package perl-DBIx-SearchBuilder

